E-Arogya - Bug #83

Feature # 65 (New): Security Audit

[Security Audit ]18- Application Logic Bypass
17/04/2024 04:00 PM - Kalyan Battula

Status: Closed Start date: 17/04/2024
Priority: Normal Due date:

Assignee: Karthik Daram % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Security Audit Spent time: 0:00 hour
Deployed In: Category:

Description

18- Application Logic Bypass

CWE : CWE-840

Description :

The application does not perform or incorrectly performs an authorization check when
attempts to perform an action.

Affected Path(s) :

https://earogya.satragroup.in/patient/39/patient-Registration *-Applicable to entire
application

Impact :

An attacker could read sensitive data, either by reading the data directly from a data
store that is not properly restricted, or by accessing insufficiently-protected, privileged
functionality to read the data.

Recommendation :

Make sure that the access control mechanism is enforced correctly at the server side on
every page.

Evidence/Proof Of Concept :

Step 1: Patient registration submitted successfully with wrong DOB as shown in below
screenshot.
History

#1 - 17/04/2024 10:32 PM - Karthik Daram
- Status changed from New to In Progress

- Assignee set to Karthik Daram

#2 - 17/04/2024 10:43 PM - Karthik Daram

- Status changed from In Progress to Resolved

#3 - 17/04/2024 10:46 PM - Karthik Daram

- Status changed from Resolved to In Progress

#4 - 23/04/2024 03:47 AM - Karthik Daram

- Status changed from In Progress to Resolved

#5 - 03/05/2024 05:24 AM - Sivakanth Kesiraju
- Target version set to Sprint 1 (29th April - 3rd May)

#6 - 03/05/2024 05:28 AM - Sivakanth Kesiraju
- Target version changed from Sprint 1 (29th April - 3rd May) to Security Audit

#7 - 30/09/2024 05:19 PM - Gautam Kumar

- Status changed from Resolved to Closed
